Bug 827723 - Review Request: gnuhealth - The free Health and Hospital Information System
Summary: Review Request: gnuhealth - The free Health and Hospital Information System
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 824628 827722
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-06-02 16:32 UTC by Michel Alexandre Salim
Modified: 2018-01-07 22:47 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-07 22:47:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2012-06-02 16:32:39 UTC
Spec URL: http://salimma.fedorapeople.org/specs/healthcare/gnuhealth.spec
SRPM URL: http://salimma.fedorapeople.org/specs/healthcare/gnuhealth-1.4.5-1.fc17.src.rpm
Description:
GNU HEALTH is a free, centralized Health and Hospital Information
System that provides the following functionality :

    * Electronic Medical Record (EMR)
    * Hospital Information System (HIS)
    * Health Information System

The goal is to collaborate with health professionals around the world
to improve the quality of life of the underprivileged, providing a
free system that optimizes health promotion and disease prevention.

Fedora Account System Username: salimma

Comment 1 Michel Alexandre Salim 2012-06-02 16:34:03 UTC
Note that gnuhealth 1.6.1 is out, but can't be packaged yet until the Tryton stack is updated to the latest 2.4 series -- this is the last release in the 1.4.x line compatible with Tryton 2.2.x

Comment 2 Michel Alexandre Salim 2012-06-03 14:49:22 UTC
Question for reviewer: since gnuhealth as it is basically is a set of modules for the Tryton application framework, it might be more appropriate to name it trytond-gnuhealth and make it virtually provide gnuhealth. Thoughts?

Comment 3 Dan Horák 2012-06-13 08:20:09 UTC
(In reply to comment #2)
> Question for reviewer: since gnuhealth as it is basically is a set of
> modules for the Tryton application framework, it might be more appropriate
> to name it trytond-gnuhealth and make it virtually provide gnuhealth.
> Thoughts?

I think the package should be called gnuhealth as it is a standalone application, even when it uses Tryton as its runtime environment.

Comment 4 Shakthi Kannan 2013-03-24 12:13:05 UTC
Can you please update this to 1.8.1?

Comment 5 Michel Alexandre Salim 2013-04-03 11:46:38 UTC
Will do. Could you set the review flag?

Comment 6 Shakthi Kannan 2013-04-18 16:36:37 UTC
A 1.8.1-1 release is now available.

Comment 7 Shakthi Kannan 2013-05-10 07:18:31 UTC
Can you please provide an update on this?

Comment 8 Shakthi Kannan 2013-06-04 06:26:23 UTC
Ping!

Comment 9 Michel Alexandre Salim 2013-06-08 05:33:33 UTC
I unfortunately don't have the time at the moment to package this - new dependencies keep getting added (right now, trytond-stock_lot) and given the number of manual steps needed to get an installation going, I have a bit too much on my plate.

Shakthi, if you'd like to take over, I'd be happy to review this and any other dependency you need to submit as new packages. Apologies for the delay!

Comment 10 Shakthi Kannan 2013-06-11 03:08:46 UTC
Will look into it.

Comment 11 Shakthi Kannan 2013-07-06 07:31:27 UTC
Updated to gnuhealth-1.6.1 and tested on Fedora 18:

SPEC: http://shakthimaan.fedorapeople.org/SPECS/gnuhealth.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/gnuhealth-1.6.1-1.fc18.src.rpm

Successful Koji build for F18:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5579265

Comment 12 antonio montagnani 2013-07-26 14:25:09 UTC
how do you start the program?? Downloaded from fedorapeople page

Comment 13 Shakthi Kannan 2013-07-26 14:43:15 UTC
You will need to install, setup trytond, tryton and postgresql using the installation documentation at:

  http://en.wikibooks.org/wiki/GNU_Health/Installation

Comment 14 Yaniv Bronhaim 2013-08-14 16:22:41 UTC
Hey, did an informal review and found the following issues:
1. instead of repeating "gnuhealth" hard-coded in the spec, you should use %{name} - as you do with %{version}

2. when you use python source you should require BuildRequires: python2-devel or python3-devel

Comment 15 Christopher Meng 2013-11-21 03:04:00 UTC
gnuhealth 2.2.2 is available.

Comment 16 Christopher Meng 2014-02-24 03:49:28 UTC
(In reply to Shakthi Kannan from comment #13)
> You will need to install, setup trytond, tryton and postgresql using the
> installation documentation at:
> 
>   http://en.wikibooks.org/wiki/GNU_Health/Installation

This should be done by the package IMO.

Comment 17 Matthias Runge 2014-02-26 15:22:37 UTC
(In reply to Christopher Meng from comment #16)
> (In reply to Shakthi Kannan from comment #13)
> > You will need to install, setup trytond, tryton and postgresql using the
> > installation documentation at:
> > 
> >   http://en.wikibooks.org/wiki/GNU_Health/Installation
> 
> This should be done by the package IMO.

Christopher, please keep in mind, any change in data by just installing a package is explicitly not desired. Since you can not know a database password, this wouldn't even be possible. And configuration of packages is a main difference between .dep and .rpm packages.

Comment 18 Germano Massullo 2016-01-28 10:42:05 UTC
Any news?

Comment 19 Bastián Díaz 2016-07-21 08:39:51 UTC
Wow ... I surprised me when I found out I was not yet in the repositories.
I usually use this software a lot and is very important in their area, however, installation is not intuitive for a common user in Workstation.

You could be a candidate for Flatpak?

Comment 20 Jun Aruga 2017-07-23 08:31:53 UTC
How do we fix this?

Unfortunately, below links are "403 Forbidden".

> SPEC: http://shakthimaan.fedorapeople.org/SPECS/gnuhealth.spec
> SRPM: http://shakthimaan.fedorapeople.org/SRPMS/gnuhealth-1.6.1-1.fc18.src.rpm

Comment 21 Ankur Sinha (FranciscoD) 2017-07-23 10:22:29 UTC
May be best to close this and open up a fresh review.

To everyone above - if you're interested in using the package on Fedora, please consider packaging it up and helping with maintenance. 

Cheers!
Ankur

Comment 22 Ankur Sinha (FranciscoD) 2018-01-07 22:47:28 UTC
Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.